Subject: Re: sudo: git describe during GIT_VERSION_GEN not as expected..

From: Junio C Hamano <[email-masked]>
Date: Sun, 15 May 2022 09:51:52 -0700

Philip Oakley <[email-masked]> writes:

> I have run into a problem with make/install of git on my old travel
> laptop. While trying to make / install git with some patches on top of 
> yesterdays next (coincidental timing) I'm finding that the generated
> git version is the default value rather than that of a regular 'get 
> describe' as used in GIT_VERSION_GEN.

Yup, we've been discussing on this issue since the Git 2.35.3 (and
friends) and Git 2.36 release.

  https://lore.kernel.org/git/[email-masked]/

I think the last round:

  https://lore.kernel.org/git/[email-masked]/

is more or less done, so perhaps we should start merging it down to
'next' and all the way down to the older maintenance tracks like
maint-2.30 that are affected.

Thanks.